Subject: Re: [dtn-interest] DTNRG: let's elevate the level of discourse
From: Phani Rohit <[email-masked]>
To: Rajesh Krishnan <[email-masked]>
Cc: [email-masked]
Date: Mon, 1 Mar 2010 00:10:33 -0500
List-Id: Delay Tolerant Networking Interest List <dtn-interest.maillists.intel-research.net>

Hi All,

I am posting for the first time in this research group. Please excuse me if
my idea does not make sense. I have an idea for using DTN's in day to day
life. I don't know its commercial value.

Recently I visited New York City, one of the busiest and happening place.
The moment you get in to sub way station the communication with the world is
lost. so  why can't any body have a simple DTN deployment like bunch of
broker nodes sitting at the opening of each station and route the bundles
via moving trains and deliver it to outer world. A simple app in this
scenario would be SMS application running on DTN or chat client.

Please let me know if this make sense  or if you need any further
explanation.

Thanks,
Rohit

On Sun, Feb 28, 2010 at 1:36 PM, Rajesh Krishnan <[email-masked]>wrote:

> Hi Brenton,
>
> Interesting game ideas.
>
> >From time to time, as my professional life has demanded, I have tried
> to use or work with BP.   I will happily be the fellow who is going to
> use BP, but the fact of the matter is I have not created or found a
> deployment/application that I can use in my daily life.
>
> There are several possible vectors that can achieve critical mass for
> DTN/BP:
>    - seeding into future-oriented systems (which some Government
> agencies have done), hoping it will grow big in a few decades
>    - a new application or a content overlay  that is generally
> useful, that happens to use BP, and grows popular rapidly  [ our
> current discussion ]
>    - through regulation or acquisition policy (may be as successful
> as GOSIP and Ada :)
>    - through education
>
> One idea was to see if it makes sense to explore BP in place of
> packetbb as a mechanism to gateway between diverse MANETs (require
> this as acquisition policy); one problem there is MANETs are still
> looking for their killer commercial application too.   As 3G/4G
> coverage increases, the need for multi-hop DTN routing will be
> increasingly pushed to challenging regimes of space, underground,
> underwater, etc.   There will be niche terrestrial opportunities
> (reindeer nets) and opportunities in virtual overlays (for distributed
> algorithm purists).
>
> Regardless of whether BP achieves population inversion or not (either
> over application overlay protocols or  Layer 2/3 encapsulations),
> important lessons can be learned from achieving critical mass around
> the BP.   Without critical mass, many of the ideas generated for ATM
> research would not have been; some of those ideas (or the competition
> they created) transformed IP networks.
>
> During one of my earlier briefings to the NSF FIND folks to explore
> synergies, I found they (i) wanted freedom from any constraints, BP or
>  otherwise, OR (ii) wanted critical mass such as that provided by
> TCP/IP and 802.11 in order to justify living with the constraints.
> There was some concern expressed around the ramp up time and perceived
> complexity of the BP.  In any case, I had failed to convince them of
> the enormous opportunity that was available in the middle ground --
> between clean slate and retrofit -- for novel routing and naming
> research.   BP offers a near clean slate, the benefits of an existing
> research community that provides the nucleus, and a good metadata
> extension block, especially for routing, naming, content-networking,
> and context/location-aware computing.  I have not given up hope;  BP
> on NSF GENI would be a good way to keep DTN/BP more relevant to the
> mainstream networking community.
>
> On the other hand, when I spoke to folks who do commercialization,
> their question to me was what is one thing you can do with the BP
> today  that they cannot hire programmers to do over other popular
> Internet-based technologies.  They can do meter reading, elevator net,
> email or content delivery to remote facilities using custom
> applications that are disruption-tolerant, and without buying into the
> full DTN/BP program.    Clearly they do not care about technical
> features, elegance, or potential for transformation provided by the
> DTN architecture.   Disruptive uses of the BP in settings would be
> interesting in order to exercise non-traditional routing and rich
> naming;  otherwise, the question of why not do it with SOAP (or
> alternative for which I can hire low-cost programmers) will persist?
> There need to see value additions that can be monetized in the short
> term.
>
> While all of the applications you mention will exercise the BP, all of
> them can be expeditiously done on an iPhone/Droid and can take
> advantage of remote servers.
> Regardless, the playing you suggest is better than the theorizing I
> provide above.
>
> Best Regards,
> Rajesh
>
> On Sun, Feb 28, 2010 at 11:51 AM, Brenton Walker <[email-masked]>
> wrote:
> > Hi Rajesh,
> >        Why is it always some other poor fellow who is going to use BP?  I
> > think we should be trying to think of ways to use it ourselves in our
> > daily lives.  I feel like there are a lot of possibilities.  Even though
> > access to expensive (3G, wimax) infrastructure is increasing, access to
> > cheap infrastructure (open wifi APs) is getting more restrictive.  Lots
> > of communication I do is pretty local, and BP (and associated
> > technologies) is a very robust tool for that sort of thing.
> >
> >        One thing people at our lab have been talking about is trying to
> > organize some sort of BP-based activity at the IETF.  Not a
> > disconnectathon that focuses specifically on technical interoperability,
> > but something that gives people a motivation to bring a handset or
> > laptop with a BPA on it and play with it during those boring sessions
> > they don't really care about.
> >
> > Some ideas we have had:
> > - bundle scavenger hunt.  There are bundles that can be found with
> > varying degrees of difficulty.  You get points for receiving them.
> > - bundle trivia.  Like the bundle scavenger hunt, but you would have to
> > send responses to some EID.
> > - bundle mad libs.  I don't quite understand this one, but people were
> > excited about it.
> > - bundle capture the flag.  OK, I'll stop.
> >
> > Stupid idea?
> > Already been done?
> >
> > Thanks,
> > Brenton
> >
> >
> >
> > Rajesh Krishnan wrote:
> >> In think in Parikh et al.'s application, DTN was useful to let chat
> >> participants catch up on the conversation they missed while they were
> >> temporarily disconnected; these are environments where end-to-end
> >> access to one server cannot be assured.
> >>
> >> The sailboat-based email delivery is definitely interesting.
> >>
> >> Best Regards,
> >> Rajesh
> >>
> >>
> >> On Sun, Feb 28, 2010 at 4:10 AM, Lyndon Nerenberg (VE6BBM/VE7TFX)
> >> <[email-masked]> wrote:
> >>>> What I find strange is that the DTN community isn't trying to run
> email
> >>>> and chat over BP.  Those are natural applications for DTN, but yet
> >>>> there's not (to my knowledge) a release of an MTA, jabber client,
> jabber
> >>>> server, etc., that uses BP, and I don't hear anyone talking about
> having
> >>>> problems running those programs on the global dbone.
> >>>>
> >>>> Is anyone trying to use BP to do anything other than tests?
> >>> I can't see how a realtime application like jabber would be something
> >>> DTN would address; surely disconnected jabber is email, no?
> >>>
> >>> One natural application for DTN is providing email service to
> >>> sailboats on the gulf coast of British Columbia.
> >>>
> >>> The stretch of water up the Strait from Vancouver to the north end of
> >>> Vancouver Is. is a patchwork of fjords, islets, and black holes of
> >>> cellular connectivity.  In almost every marina, email access is found
> >>> by subscription only to services such as BBX.  There is no access
> >>> outside of the pay-per-mail marina wifi access points.
> >>>
> >>> There is no hope of running land-based network backhaul into most of
> >>> the locations sailors would park in.  A BP-based email network is a
> >>> likely option for people on the coast living away from land-based
> >>> infrastructure.
> >>>
> >>> --lyndon
> >>>
> >>>
> >>
> >> _______________________________________________
> >> dtn-interest mailing list
> >> [email-masked]
> >> http://maillists.intel-research.net/mailman/listinfo/dtn-interest
> >>
> >
> > _______________________________________________
> > dtn-interest mailing list
> > [email-masked]
> > http://maillists.intel-research.net/mailman/listinfo/dtn-interest
> >
>
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://maillists.intel-research.net/mailman/listinfo/dtn-interest
>